import { Account } from './entities/Account';
import { Call } from './entities/Call';
import { Company } from './entities/Company';
import { Contact } from './entities/Contact';
import { Customer } from './entities/Customer';
import { CustomersPeriods } from './entities/CustomersPeriods';
import { CustomField } from './entities/CustomField';
import { Event } from './entities/Event';
import { Lead } from './entities/Lead';
import { Note } from './entities/Note';
import { Task } from './entities/Task';
import { Transaction } from './entities/Transaction';
export declare namespace Amocrm {
    class Api {
        inputCredential: Credential;
        lead: Lead;
        contact: Contact;
        company: Company;
        account: Account;
        customer: Customer;
        transaction: Transaction;
        customers_periods: CustomersPeriods;
        custom_field: CustomField;
        task: Task;
        note: Note;
        call: Call;
        event: Event;
        private apiRequest;
        private credential;
        /**
         * TODO: improve loading
         *
         * @param inputCredential
         */
        constructor(inputCredential: Credential);
        accessToken(param: AccessTokenType): Promise<import("gaxios").GaxiosResponse<any>>;
        getRedirectToAuthCodeUrl(state: string, mode: 'popup' | 'post_message'): string;
    }
    interface Credential {
        domain: string;
        client_id: string;
        client_secret: string;
        redirect_uri: string;
        code: string;
        tokenResolver: TokenResolver;
        'zone'?: 'ru' | 'com';
        'timezone'?: string;
        'lang'?: string;
    }
    type TokenResolver = () => Promise<string>;
    const resolveCredential: (x: Credential) => Credential;
    const makeBaseUrl: (c: Credential) => string;
    /** Тип для получение Access токен по коду авторизации */
    type AccessTokenCodeType = {
        code: string;
        grant_type: 'authorization_code';
    };
    /** Тип для получение нового access token по его истечении */
    type AccessTokenRefreshType = {
        grant_type: 'refresh_token';
        refresh_token: string;
    };
    type AccessTokenType = AccessTokenCodeType | AccessTokenRefreshType;
}
