"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Amocrm = void 0;
const ApiRequest_1 = require("./ApiRequest");
const Account_1 = require("./entities/Account");
const Call_1 = require("./entities/Call");
const Company_1 = require("./entities/Company");
const Contact_1 = require("./entities/Contact");
const Customer_1 = require("./entities/Customer");
const CustomersPeriods_1 = require("./entities/CustomersPeriods");
const CustomField_1 = require("./entities/CustomField");
const Event_1 = require("./entities/Event");
const Lead_1 = require("./entities/Lead");
const Note_1 = require("./entities/Note");
const Task_1 = require("./entities/Task");
const Transaction_1 = require("./entities/Transaction");
// tslint:disable: no-any
// tslint:disable: class-name
// tslint:disable: variable-name
// tslint:disable: jsdoc-format
// tslint:disable: no-namespace
var Amocrm;
(function (Amocrm) {
    class Api {
        /**
         * TODO: improve loading
         *
         * @param inputCredential
         */
        constructor(inputCredential) {
            this.inputCredential = inputCredential;
            this.credential = Amocrm.resolveCredential(inputCredential);
            const baseUrl = Amocrm.makeBaseUrl(this.credential);
            const apiRequest = this.apiRequest = new ApiRequest_1.ApiRequest(baseUrl, this.credential.tokenResolver);
            this.account = new Account_1.Account(apiRequest);
            this.contact = new Contact_1.Contact(apiRequest);
            this.company = new Company_1.Company(apiRequest);
            this.lead = new Lead_1.Lead(apiRequest);
            this.customer = new Customer_1.Customer(apiRequest);
            this.transaction = new Transaction_1.Transaction(apiRequest);
            this.customers_periods = new CustomersPeriods_1.CustomersPeriods(apiRequest);
            this.custom_field = new CustomField_1.CustomField(apiRequest);
            this.task = new Task_1.Task(apiRequest);
            this.note = new Note_1.Note(apiRequest);
            this.call = new Call_1.Call(apiRequest);
            this.event = new Event_1.Event(apiRequest);
        }
        async accessToken(param) {
            return this.apiRequest.postAccessToken('/oauth2/access_token', {
                method: "POST",
                data: {
                    client_id: this.credential.client_id,
                    client_secret: this.credential.client_secret,
                    redirect_uri: this.credential.redirect_uri,
                    ...param,
                },
                headers: {},
            });
        }
        getRedirectToAuthCodeUrl(state, mode) {
            return `https://www.amocrm.ru/oauth?client_id=${this.credential.client_id}&state=${state}&mode=${mode}`;
        }
    }
    Amocrm.Api = Api;
    Amocrm.resolveCredential = (inputCredential) => ({
        'zone': 'ru',
        'lang': 'ru',
        'timezone': 'Europe/Moscow',
        ...inputCredential,
    });
    Amocrm.makeBaseUrl = (credential) => `https://${credential['domain']}.amocrm.${credential['zone']}`;
})(Amocrm = exports.Amocrm || (exports.Amocrm = {}));
//# sourceMappingURL=Amocrm.js.map