"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiRequest = void 0;
const gaxios_1 = require("gaxios");
class ApiRequest {
    constructor(baseUrl, tokenResolver) {
        this.tokenResolver = tokenResolver;
        this.gaxios = new gaxios_1.Gaxios({ baseUrl });
    }
    async get(url, methodOpt = {}) {
        const options = { ...await this.makeOptions(url, 'GET'), ...methodOpt };
        console.dir(options, { colors: true, depth: 8 });
        return this.gaxios.request(options);
    }
    async post(url, methodOpt = {}) {
        const options = { ...await this.makeOptions(url, 'POST'), ...methodOpt };
        console.dir(options, { colors: true, depth: 8 });
        return this.gaxios.request(options);
    }
    async postAccessToken(url, methodOpt = {}) {
        const options = { url, ...methodOpt };
        console.dir(options, { colors: true, depth: 8 });
        return this.gaxios.request(options);
    }
    async makeOptions(url, method) {
        return {
            url, method,
            headers: { Authorization: `Bearer ${await this.tokenResolver()}` },
        };
    }
}
exports.ApiRequest = ApiRequest;
//# sourceMappingURL=ApiRequest.js.map