import { ApiRequest } from '../ApiRequest';
/**
 * @link https://www.amocrm.com/developers/content/api/notes
 */
export declare class Call {
    apiRequest: ApiRequest;
    private url;
    constructor(apiRequest: ApiRequest);
    call(params: Schema$CallParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
}
export interface Schema$CallParams {
    phone_number: string;
    direction: CallDirection;
    uniq: string;
    duration?: string;
    source?: string;
    call_status?: CallStatus | number;
    call_result?: string;
    link?: string;
    created_at?: number;
    updated_at?: number;
    created_by?: number;
    updated_by?: number;
    responsible_user_id?: number;
}
/**
 *  Types of events
 *
 * @link https://www.amocrm.com/developers/content/api/notes#note_types
 */
export declare enum CallStatus {
    LEFT_VOICE_MESSAGE = 1,
    CALL_BACK_LATER = 2,
    OUT_OF_PLACE = 3,
    CONVERSATION_TOOK_PLACE = 4,
    INVALID_NUMBER = 5,
    NO_PHONED = 6,
    NUMBER_IS_BUSY = 7
}
export declare type CallDirection = 'inbound' | 'outbound';
