"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallStatus = exports.Call = void 0;
/**
 * @link https://www.amocrm.com/developers/content/api/notes
 */
class Call {
    constructor(apiRequest) {
        this.apiRequest = apiRequest;
        this.url = '/api/v2/calls';
    }
    call(params) {
        const options = { data: { add: params } };
        return this.apiRequest.post(this.url, options);
    }
}
exports.Call = Call;
/**
 *  Types of events
 *
 * @link https://www.amocrm.com/developers/content/api/notes#note_types
 */
var CallStatus;
(function (CallStatus) {
    CallStatus[CallStatus["LEFT_VOICE_MESSAGE"] = 1] = "LEFT_VOICE_MESSAGE";
    CallStatus[CallStatus["CALL_BACK_LATER"] = 2] = "CALL_BACK_LATER";
    CallStatus[CallStatus["OUT_OF_PLACE"] = 3] = "OUT_OF_PLACE";
    CallStatus[CallStatus["CONVERSATION_TOOK_PLACE"] = 4] = "CONVERSATION_TOOK_PLACE";
    CallStatus[CallStatus["INVALID_NUMBER"] = 5] = "INVALID_NUMBER";
    CallStatus[CallStatus["NO_PHONED"] = 6] = "NO_PHONED";
    CallStatus[CallStatus["NUMBER_IS_BUSY"] = 7] = "NUMBER_IS_BUSY";
})(CallStatus = exports.CallStatus || (exports.CallStatus = {}));
//# sourceMappingURL=Call.js.map