import { ApiRequest } from '../ApiRequest';
import { Schema$CustomField } from './Account';
import { Schema$GetListParams } from './ListEntity';
export declare class Company {
    apiRequest: ApiRequest;
    private url;
    constructor(apiRequest: ApiRequest);
    list(params: Schema$GetListParams, modified?: string): Promise<import("gaxios").GaxiosResponse<any>>;
    add(params: Schema$CompanyAddParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
    /**
     * @param params
     */
    update(params: Schema$CompanyUpdateParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
}
/**
 * TODO: fill fields;
 *
 * @link https://www.amocrm.com/developers/content/api/companies
 *
 * @property {string} name The name of the company
 * @property {number} created_at Date and time the company was created
 * @property {number} updated_at The date and time the company was updated. Required when the entity is updated
 * @property {number} responsible_user_id id of the user responsible for the company
 * @property {number} created_by id of the user who created the company
 */
export interface Schema$CompanyAddParams {
    name: string;
    created_at?: number;
    updated_at?: number;
    created_by?: number;
    responsible_user_id?: number;
    tags?: string;
    leads_id?: string;
    customers_id?: string;
    contacts_id?: string;
    custom_fields?: Schema$CustomField[];
}
/**
 * TODO: fill fields;
 *
 * @link https://www.amocrm.com/developers/content/api/companies
 *
 * @property {string} name The name of the company
 * @property {number} created_at Date and time the company was created
 * @property {number} updated_at The date and time the company was updated. Required when the entity is updated
 * @property {number} responsible_user_id id of the user responsible for the company
 * @property {number} created_by id of the user who created the company
 */
export interface Schema$CompanyUpdateParams {
    id: number;
    name?: string;
    updated_at: number;
    created_at?: number;
    created_by?: number;
    responsible_user_id?: number;
    tags?: string;
    leads_id?: string;
    customers_id?: string;
    company_id?: string;
    custom_fields?: Schema$CustomField[];
    unlink?: Schema$CompanyUnlinkEntity;
}
declare type Schema$CompanyUnlinkEntity = {
    leads_id?: number[] | string[];
    contacts_id?: number[] | string[];
    customers_id?: number[] | string[];
};
export {};
