import { ApiRequest } from '../ApiRequest';
import { Schema$CustomField } from './Account';
import { Schema$GetListParams } from './ListEntity';
export declare class Contact {
    apiRequest: ApiRequest;
    private url;
    constructor(apiRequest: ApiRequest);
    list(params: Schema$GetListParams, modified?: string): Promise<import("gaxios").GaxiosResponse<any>>;
    add(params: Schema$ContactAddParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
    /**
     * Update contact
     *
     * @param params
     */
    update(params: Schema$ContactUpdateParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
}
/**
 * TODO: fill fields;
 *
 * @link https://www.amocrm.com/developers/content/api/contacts
 *
 * @property {string} name The name of the contact
 * @property {number} created_at Date and time the contact was created
 * @property {number} updated_at The date and time the contact was updated. Required when the entity is updated
 * @property {number} responsible_user_id id of the user responsible for the contact
 * @property {number} created_by id of the user who created the contact
 */
export interface Schema$ContactAddParams {
    name: string;
    created_at?: number;
    updated_at?: number;
    created_by?: number;
    company_name?: string;
    responsible_user_id?: number;
    tags?: string;
    leads_id?: string;
    customers_id?: string;
    company_id?: string;
    custom_fields?: Schema$CustomField[];
}
/**
 * TODO: fill fields;
 *
 * @link https://www.amocrm.com/developers/content/api/contacts
 *
 * @property {string} name The name of the contact
 * @property {number} created_at Date and time the contact was created
 * @property {number} updated_at The date and time the contact was updated. Required when the entity is updated
 * @property {number} responsible_user_id id of the user responsible for the contact
 * @property {number} created_by id of the user who created the contact
 */
export interface Schema$ContactUpdateParams {
    id: number;
    name?: string;
    updated_at: number;
    created_at?: number;
    created_by?: number;
    responsible_user_id?: number;
    tags?: string;
    leads_id?: string;
    customers_id?: string;
    company_id?: string;
    custom_fields?: Schema$CustomField[];
    unlink?: Schema$UnlinkEntity;
}
declare type Schema$UnlinkEntity = {
    leads_id?: number[] | string[];
    company_id?: number;
    customers_id?: number[] | string[];
};
export {};
