"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contact = void 0;
class Contact {
    constructor(apiRequest) {
        this.apiRequest = apiRequest;
        this.url = '/api/v2/contacts';
    }
    list(params, modified) {
        const options = { params: { ...params } };
        if (modified) {
            options['headers'] = { 'IF-MODIFIED-SINCE': modified };
        }
        return this.apiRequest.get(this.url, options);
    }
    add(params) {
        const options = { data: { add: params } };
        return this.apiRequest.post(this.url, options);
    }
    /**
     * Update contact
     *
     * @param params
     */
    update(params) {
        const options = { data: { update: params } };
        return this.apiRequest.post(this.url, options);
    }
}
exports.Contact = Contact;
//# sourceMappingURL=Contact.js.map