"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldType = exports.CustomField = void 0;
/**
 * A method that allows you to create and delete Custom fieldss one by one or
 * one by one. The user will not be able to change their values ​​from the
 * interface, but will be able to filter on them and view them. Creating and
 * deleting a field is also possible from the interface.
 */
class CustomField {
    constructor(apiRequest) {
        this.apiRequest = apiRequest;
        this.url = '/api/v2/fields';
    }
    add(params) {
        const options = { data: { add: params } };
        return this.apiRequest.post(this.url, options);
    }
    /**
     * @param params
     */
    update(params) {
        const options = { data: { update: params } };
        return this.apiRequest.post(this.url, options);
    }
    delete(params) {
        const options = { data: { delete: params } };
        return this.apiRequest.post(this.url, options);
    }
}
exports.CustomField = CustomField;
var FieldType;
(function (FieldType) {
    FieldType[FieldType["TEXT"] = 1] = "TEXT";
    FieldType[FieldType["NUMERIC"] = 2] = "NUMERIC";
    FieldType[FieldType["CHECKBOX"] = 3] = "CHECKBOX";
    FieldType[FieldType["SELECT"] = 4] = "SELECT";
    FieldType[FieldType["MULTISELECT"] = 5] = "MULTISELECT";
    FieldType[FieldType["DATE"] = 6] = "DATE";
    FieldType[FieldType["URL"] = 7] = "URL";
    FieldType[FieldType["MULTITEXT"] = 8] = "MULTITEXT";
})(FieldType = exports.FieldType || (exports.FieldType = {}));
//# sourceMappingURL=CustomField.js.map