import { ApiRequest } from '../ApiRequest';
import { Schema$EntityParams } from './Entity';
import { Schema$GetListParams } from './ListEntity';
export declare class Customer {
    apiRequest: ApiRequest;
    private url;
    constructor(apiRequest: ApiRequest);
    list(params: Schema$CustomerGetListParams, modified?: string): Promise<import("gaxios").GaxiosResponse<any>>;
    add(params: Schema$CustomerAddParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
    /**
     * @param params
     */
    update(params: Schema$CustomerUpdateParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
    delete(params: number[]): Promise<import("gaxios").GaxiosResponse<any>>;
}
interface Schema$CustomerParams {
    name?: string;
    /** Date and time of the next purchase  */
    next_data?: number;
    /** Expected amount */
    next_price?: number;
    /** The frequency of purchases */
    periodicity?: number;
    /** id of the digital consumer pipeline time period */
    period_id?: number;
    contacts_id?: number | number[];
    /** id of an existing company that will be attached to the customer */
    company_id?: number;
}
/**
 * @link https://www.amocrm.com/developers/content/api/customers
 *
 * @property {string} name The name of the Customer
 */
export interface Schema$CustomerAddParams extends Schema$CustomerParams, Schema$EntityParams {
    name?: string;
    customers_id?: string;
    company_id?: number;
}
/**
 * TODO: fill fields;
 *
 * @link https://www.amocrm.com/developers/content/api/customers
 *
 * @property {number} name The name of the Customer
 */
export interface Schema$CustomerUpdateParams extends Schema$CustomerParams, Schema$EntityParams {
    id: number;
    updated_at: number;
    unlink?: Schema$CustomerUnlinkEntity;
}
declare type Schema$CustomerUnlinkEntity = {
    company_id?: number;
    contacts_id?: number[] | string[];
};
export interface Schema$CustomerGetListParams extends Schema$GetListParams {
    [propName: string]: string | number | undefined;
}
export {};
