"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Customer = void 0;
class Customer {
    constructor(apiRequest) {
        this.apiRequest = apiRequest;
        this.url = '/api/v2/customers';
    }
    list(params, modified) {
        const options = { params: { ...params } };
        if (modified) {
            options['headers'] = { 'IF-MODIFIED-SINCE': modified };
        }
        return this.apiRequest.get(this.url, options);
    }
    add(params) {
        const options = { data: { add: params } };
        return this.apiRequest.post(this.url, options);
    }
    /**
     * @param params
     */
    update(params) {
        const options = { data: { update: params } };
        return this.apiRequest.post(this.url, options);
    }
    delete(params) {
        const options = { data: { delete: params } };
        return this.apiRequest.post(this.url, options);
    }
}
exports.Customer = Customer;
//# sourceMappingURL=Customer.js.map