"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Lead = void 0;
/**
 * The method allows you to add leads one by one or in bulk, as well as update
 * data on existing leads.
 *
 * @link https://www.amocrm.com/developers/content/api/leads
 */
class Lead {
    constructor(apiRequest) {
        this.apiRequest = apiRequest;
        this.url = '/api/v2/leads';
    }
    list(params, modified) {
        const options = { params: { ...params } };
        if (modified) {
            options['headers'] = { 'IF-MODIFIED-SINCE': modified };
        }
        return this.apiRequest.get(this.url, options);
    }
    add(params) {
        const options = { data: { add: params } };
        return this.apiRequest.post(this.url, options);
    }
    update(params) {
        const options = { data: { update: params } };
        return this.apiRequest.post(this.url, options);
    }
}
exports.Lead = Lead;
//# sourceMappingURL=Lead.js.map